Bug 128287 - LibreOffice menu bar not displayed in Windows 10 high contrast view
Summary: LibreOffice menu bar not displayed in Windows 10 high contrast view
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2019-10-21 08:50 UTC by bruhinpaul
Modified: 2022-05-14 14:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
error menu bar high contrast (49.32 KB, image/png)
2019-10-21 08:51 UTC, bruhinpaul
Details
high contrast settings german (60.43 KB, image/png)
2019-10-21 16:42 UTC, bruhinpaul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bruhinpaul 2019-10-21 08:50:31 UTC
Description:
LibreOffice menu bar not displayed in Windows 10 Dark mode / high contrast view

Steps to Reproduce:
1.Activate high contrast in Windows 10
2.Open LibreOffice Writer or Calc
3.

Actual Results:
Menu bar not visible (except when mouseover)

Expected Results:
inverted colors for menu bar


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: de
Module: TextDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: no
Comment 1 bruhinpaul 2019-10-21 08:51:07 UTC
Created attachment 155180 [details]
error menu bar high contrast
Comment 2 m.a.riosv 2019-10-21 10:38:26 UTC
Which have you selected for high contrast in Windows 10.
Comment 3 m.a.riosv 2019-10-21 10:39:01 UTC
Sorry, Which theme have you selected for high contrast in Windows 10.
Comment 4 bruhinpaul 2019-10-21 16:42:13 UTC
Created attachment 155206 [details]
high contrast settings german

Hi,

It's the default theme of Windows 10 but with the "high contrast" (german hoher kontrast, s. screenshot).

Thanks,
Paul
Comment 5 QA Administrators 2019-10-22 02:34:05 UTC Comment hidden (obsolete)
Comment 6 Paul Robinson 2020-04-06 00:25:24 UTC
I can confirm the described behavior. I have been a user of Open Office for years. When Open Office runs and the user is in High Contrast, the buttons and menus do show correctly. Libre Office requires that High Contrast mode be enabled, but while this fixes the visibility of the buttons, the menus are invisible. Individual menu item become visible when the mouse hovers over them.

To reproduce the problem, try running in High Contrast, which can be enabled (or turned off) with Left Shift+Left Alt+PrtSc

Also, it's not related to the German version of Windows. I'm running the American English version of Windows 10 and run High Contrast.
Comment 7 QA Administrators 2022-04-07 03:42:26 UTC
Dear bruhinpaul,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug